map $http_upgrade $connection_upgrade { 
    default upgrade;
    ''      close;
}

server {
    #listen      443 ssl http2;
    listen      443 ssl;
    server_name geth.aninix.net;

    include sec.conf;
    # include default.csp.conf;
    # include local.conf;
    include letsencrypt.conf;

    location /
    {
      proxy_set_header Host $http_host;
      proxy_set_header X-Forwarded-Host $host;
      proxy_set_header X-Forwarded-Server $host;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_pass       http://geth.msn0.aninix.net:8123;
      proxy_redirect http:// https://;
      proxy_http_version 1.1;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection $connection_upgrade;
      proxy_read_timeout 86400;
    }
}
